//------------------------------------------------------------------------------
// <auto-generated>
//    Ce code a été généré à partir d'un modèle.
//
//    Des modifications manuelles apportées à ce fichier peuvent conduire à un comportement inattendu de votre application.
//    Les modifications manuelles apportées à ce fichier sont remplacées si le code est régénéré.
// </auto-generated>
//------------------------------------------------------------------------------

namespace PROJETMODELE.Models.DAL
{
    using System;
    using System.Collections.Generic;
    
    public partial class TP_Vente
    {
        public TP_Vente()
        {
            this.TP_Vente_Emballage = new HashSet<TP_Vente_Emballage>();
            this.TP_Vente_Liquide = new HashSet<TP_Vente_Liquide>();
        }
    
        public long ID_Vente { get; set; }
        public int ID_Client { get; set; }
        public int ID_Caisse { get; set; }
        public System.DateTime Date { get; set; }
        public string NUM_DOC { get; set; }
        public string Nom_Client { get; set; }
        public double Montant_Consigne_Emballage { get; set; }
        public double Montant { get; set; }
        public Nullable<double> Solde_Liquide { get; set; }
        public Nullable<double> Solde_Emballage { get; set; }
        public byte Etat { get; set; }
        public System.DateTime Create_Date { get; set; }
        public System.DateTime Edit_Date { get; set; }
        public int Create_Code_User { get; set; }
        public int Edit_Code_User { get; set; }
    
        public virtual TP_Caisse TP_Caisse { get; set; }
        public virtual TP_Client TP_Client { get; set; }
        public virtual ICollection<TP_Vente_Emballage> TP_Vente_Emballage { get; set; }
        public virtual ICollection<TP_Vente_Liquide> TP_Vente_Liquide { get; set; }
    }
}
